<template>
  <div class="row add-new-block">
    <div class="col-12 add-new-block__title">ADD NEW TODO</div>
    <div class="col-12 add-new-block__input">
      <div class="input-group input-group--border">
        <input
          type="text"
          class="form-control add-input"
          placeholder="Add new todo here"
          aria-label="Add new todo here"
          aria-describedby="basic-addon2"
          v-model="new_todo"
        />
        <div class="input-group-append add-button">
          <a class="btn btn-primary add-button--css" type="button"  v-on:click="$emit('add_new_item', new_todo)">Add</a>
        </div>
      </div>
    </div>
    <div class="col-12 add-new-block__list-todo" >
      <div class="input-group  input-group-item" style="margin-top: 20px;">
        <div class="input-group-prepend input-group-item__checkbox">
          <div class="input-group-text">
            <input
              type="checkbox"
              aria-label="Checkbox for following text input"
            />
          </div>
        </div>
        <input
          type="text"
          class="form-control input-group-item__input"
          aria-label="Text input with checkbox"
          value="Hello World"
          :disabled="validated == 1"
        />
        <div class="input-group-prepend input-group-item__button">
          <button class="btn btn-success input-group-item__button--bold" type="button">Update</button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import "./AddNew.scss";
export default {
  name: "AddNew",
  props: {
    'doing_item':{
      type: Array,
      default: () => [],
    }
  },
  data() {
    return {
      new_todo: '',
      validated: 1
    };
  },
  methods:{
    activate_change(){
      if (this.validated == 1) this.validated = 0;
      else this.validated = 1
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
